using SqlSugar;
using System;

namespace DeviceRepair.Models.SFC
{
    /// <summary>
    /// 
    ///</summary>
    [SugarTable("Posts")]
    public class PostsInfo
    {
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "GUID", IsPrimaryKey = true)]
        public Guid Guid { get; set; }

        /// <summary>
        /// 岗位名称 
        ///</summary>
        [SugarColumn(ColumnName = "PostName")]
        public string PostName { get; set; }

        /// <summary>
        /// 岗位描述 
        ///</summary>
        [SugarColumn(ColumnName = "PostDesc")]
        public string PostDesc { get; set; }

        /// <summary>
        /// 是否检验作业豁免（即不控制技能矩阵） 
        /// 默认值: ((0))
        ///</summary>
        [SugarColumn(ColumnName = "InspectionExempt")]
        public bool InspectionExempt { get; set; }

        /// <summary>
        /// 创建人 
        ///</summary>
        [SugarColumn(ColumnName = "CreateBy")]
        public string CreateBy { get; set; }

        /// <summary>
        /// 创建时间 
        ///</summary>
        [SugarColumn(ColumnName = "CreateOn")]
        public DateTime CreateOn { get; set; }

        /// <summary>
        /// 修改人 
        ///</summary>
        [SugarColumn(ColumnName = "ModifyBy")]
        public string ModifyBy { get; set; }

        /// <summary>
        /// 修改时间 
        ///</summary>
        [SugarColumn(ColumnName = "ModifyOn")]
        public DateTime? ModifyOn { get; set; }

        /// <summary>
        /// 状态 
        /// 默认值: ('A')
        ///</summary>
        [SugarColumn(ColumnName = "Status")]
        public string Status { get; set; }

        /// <summary>
        /// 备注 
        ///</summary>
        [SugarColumn(ColumnName = "Note")]
        public string Note { get; set; }

    }
}
